Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Web and WebWorks Development

Reply
New Contributor
hni19
Posts: 2
Registered: ‎05-02-2013
My Device: Playbook
My Carrier: Rogers
Accepted Solution

Error when building through Ripple for Blackberry Playbook, with WebWorks-TabletOS

[ Edited ]

Hello,

 

I currently am working on a blackberry application, coded in HTML5.

I am currently trying to build it for the playbook, following the instructions in

https://developer.blackberry.com/html5/documentation/creating_helloworld_for_blackberry_playbook.htm...

However, when building it, i recieve the following error message

ERORR

 

The first error message is caused  by error when loading "jvm.dll" however, i have checked, and that file does exist in that directory.

 

Any help or sugestion would be greatly appreciated!

 

Thank you.

 

Please use plain text.
BlackBerry Development Advisor
twindsor
Posts: 820
Registered: ‎07-15-2008
My Device: Z10
My Carrier: Bell

Re: Error when building through Ripple for Blackberry Playbook, with WebWorks-TabletOS

Do you have a 32-bit version of Java Version 6 installed, or is some other version installed on this machine?

Tim Windsor
Application Development Advisor II
Please use plain text.
New Contributor
hni19
Posts: 2
Registered: ‎05-02-2013
My Device: Playbook
My Carrier: Rogers

Re: Error when building through Ripple for Blackberry Playbook, with WebWorks-TabletOS

If you are asking about which version of JDK i have installed, then i have installed the latest version (JDK 7u21)

 

Please use plain text.
BlackBerry Development Advisor
twindsor
Posts: 820
Registered: ‎07-15-2008
My Device: Z10
My Carrier: Bell

Re: Error when building through Ripple for Blackberry Playbook, with WebWorks-TabletOS

You need to use JDK 6, and it needs to be 32bit. I am using the 32bit JDK 6u45.
Tim Windsor
Application Development Advisor II
Please use plain text.
BlackBerry Development Advisor
oros
Posts: 1,557
Registered: ‎04-12-2010
My Device: BlackBerry Z10
My Carrier: Bell

Re: Error when building through Ripple for Blackberry Playbook, with WebWorks-TabletOS

Marking twindsor's response as the solution as JDK6 (32-bit) is required for the PlayBook SDK. If you continue to see additional errors following the change, please let us know.


Erik Oros | @WaterlooErik | eoros@blackberry.com | Developer Issue Tracker

If a reply has answered your question, please click Accept as Solution to help other visitors in the future.
Please use plain text.